Open main menu

Kézikönyv:$wgAllowSecuritySensitiveOperationIfCannotReauthenticate

This page is a translated version of the page Manual:$wgAllowSecuritySensitiveOperationIfCannotReauthenticate and the translation is 100% complete.

Other languages:
English • ‎magyar • ‎polski • ‎русский • ‎日本語
Authentication: $wgAllowSecuritySensitiveOperationIfCannotReauthenticate
Biztonság-érzékeny műveletek engedélyezése, ha az újrahitelesítés nem érhető el.
Bevezetve:1.27.0 (Gerrit change 195297; git #d245bd25)
Eltávolítva:használatban
Megengedett értékek:(művelet asszociatív tömbje => igaz/hamis. Egy default kulcs megadása kötelező.)
Alapértelmezett érték:[ 'default' => true ]

Egy biztonság-érzékeny művelet (például jelszó- vagy e-mail megváltoztatása) végrehajtásakor alapértelmezésben újra be kell jelentkezni, ha az előző munkamenet kezdete a $wgReauthenticateTime-ban meghatározott másodperceknél régebben történt. Ha a felhasználó egy állandó munkamenettel (például OAuth; általánosságban a SessionProvider által indított munkamenetek, ahol a változó visszatérési értéke „false” vagy canChangeUser()) akar bejelentkezni, akkor ezen próbálkozását a szoftver megtagadja. Ez a beállítás azt határozza meg, hogy ilyen esetekben lehetséges-e a művelet végrehajtása.